{-# LANGUAGE Safe #-}

module Network.HTTP.Pony.Type where

import Data.ByteString (ByteString)
import Pipes (Producer)

type Application m a b s t = Producer a m s -> m (Producer b m t)
type App m = Application m ByteString ByteString () ()

type Middleware f s t a b = (a -> f b) -> s -> f t
type Middleware' f s t = (s -> f t) -> s -> f t
